Retrieve a deposit switch report
curl --request GET \
--url https://prod.truv.com/v1/users/{user_id}/deposit_switch/report/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/users/{user_id}/deposit_switch/report/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/users/{user_id}/deposit_switch/report/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completed_at": "2022-05-04T11:30:00Z",
"links": [
{
"link_id": "150491a20bdb4292bb2a2ad8554fecba",
"deposit_details": {
"account_number": "16002600",
"account_type": "checking",
"routing_number": "123456789",
"bank_name": "TD Bank",
"deposit_type": "entire",
"deposit_value": "50.00"
},
"tracking_info": "<string>",
"access_token": "99dd17074ac94aa9ace2621d657c7610",
"provider": {
"id": "adp",
"name": "ADP",
"supported_bank_account_actions": [
"create"
],
"logo_url": "<string>"
},
"employer": {
"id": "meta",
"name": "Meta",
"logo_url": "<string>"
},
"created_at": "2022-05-04T11:30:00Z",
"updated_at": "2022-05-04T12:00:00Z"
}
]
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}User deposit switch report
Retrieve a deposit switch report
The endpoint retrieves a deposit switch report for a user.
GET
/
v1
/
users
/
{user_id}
/
deposit_switch
/
report
/
Retrieve a deposit switch report
Authorizations
Client ID
Client Access Key
Path Parameters
Was this page helpful?
⌘I